<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AlumnoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'estado_civil' => 'required',
            'pathimagen' => 'image|mimes:jpeg,bmp,png|max:10000',
            'email' => 'required|email',
            'telefono' => 'required|regex:/^[0-9]/',
            'direccion' => 'required',
        ];
    }
}
